Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class Rocket

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              warbot.kernel.Entity
                  warbot.kernel.MovableEntity
                      warbot.kernel.Rocket

All Implemented Interfaces:
  java.io.Serializable

    public class Rocket

extends MovableEntity

See Also:
  Serialized Form

Field Summary
`protected int` | `power`
`protected static javax.swing.ImageIcon` | `rocketGif`

Fields inherited from class warbot.kernel.MovableEntity
`MOVE`

Fields inherited from class warbot.kernel.Entity
`action, actionIn, detectingRange, displaySize, energy, initialEnergy, NULL, radius, showDetect, showEnergyLevel, speed, x, xdisplay, y, ydisplay`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`Rocket()`
`Rocket(WarbotEnvironment env, double direction)`

Method Summary
`void` | `doIt()`
`Percept` | `makePercept(double dx, double dy, double d)`

Methods inherited from class warbot.kernel.MovableEntity
`getCoveredDistance, getHeading, moving, setHeading, tryMove`

Methods inherited from class warbot.kernel.Entity
`addInArrow, addOutArrow, decreaseEnergyLevel, delete, distanceFrom, dropEntity, getDetectingRange, getEnergy, getEnvironmentAgent, getInArrows, getName, getOutArrows, getRadius, getShot, getShowDetect, getShowEnergyLevel, getSpeed, getTeam, getX, getY, increaseEnergyLevel, init, isConnectable, setDetectingRange, setEnergy, setEnvironmentAgent, setName, setRadius, setShowDetect, setShowEnergyLevel, setSpeed, setTeam, setX, setY, toggleShowDetect, toggleShowEnergyLevel, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rocketGif

    protected static javax.swing.ImageIcon rocketGif

### power

    protected int power

Constructor Detail

### Rocket

    public Rocket(WarbotEnvironment env,
                  double direction)

### Rocket

    public Rocket()

Method Detail

### makePercept

    public Percept makePercept(double dx,
                               double dy,
                               double d)

  Overrides:
    `makePercept` in class `MovableEntity`

### doIt

    public void doIt()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.